# Get a list of scan findings

Get a list of findings of a scan with an ID.

Endpoint: GET /api/v2/scans/{scanId}/findings
Version: 24.9.2.5
Security: ApiKeyAuth, Bearer

## Path parameters:

  - `scanId` (string, required)
    ID of the scan for which to get findings

## Response 200 fields (application/json):

  - `ageRating` (number)
    Between 0 and 10

  - `almIssues` (object)

  - `almIssues.azure` (object)

  - `almIssues.azure.project` (string)

  - `almIssues.azure.workItemId` (integer)

  - `almIssues.jira` (object)

  - `almIssues.jira.issueId` (string)

  - `almIssues.jira.project` (string)

  - `almIssues.jiraPlatform` (object)

  - `almIssues.jiraPlatform.createdBy` (string)

  - `almIssues.jiraPlatform.createdByName` (string)

  - `almIssues.jiraPlatform.createdTime` (string)

  - `almIssues.jiraPlatform.internalStatus` (string)

  - `almIssues.jiraPlatform.issueKey` (string)

  - `almIssues.jiraPlatform.issueStatus` (string)

  - `almIssues.jiraPlatform.publicLink` (string)

  - `appId` (string)

  - `baseline` (boolean)

  - `comments` (array)

  - `comments.body` (string)

  - `comments.createdBy` (string)

  - `comments.createdTime` (string)

  - `confidenceRating` (number)
    Between 0 and 10

  - `createdTime` (string)

  - `dataFlows` (array)

  - `dataFlows.file` (string)

  - `dataFlows.id` (string)

  - `dataFlows.isNew` (boolean)

  - `dataFlows.line` (integer)

  - `dataFlows.rating` (number)
    Between 0 and 10

  - `dataFlows.stepsCount` (integer)

  - `description` (string)

  - `hasRemediation` (boolean)

  - `id` (string)
    Uniquely identifies the finding across multiple scans

  - `isNew` (boolean)

  - `projectId` (string)

  - `rating` (number)
    Between 0 and 10

  - `reviewed` (boolean)

  - `scanId` (string)
    Uniquely identifies the scan this finding was loaded from

  - `severity` (string)

  - `severityRating` (number)
    Between 0 and 10

  - `sharedStep` (object)

  - `sharedStep.endLine` (integer)

  - `sharedStep.file` (string)

  - `sharedStep.kind` (string)

  - `sharedStep.line` (integer)

  - `sharedStep.lineBlame` (object)

  - `sharedStep.lineBlame.commitId` (string)

  - `sharedStep.lineBlame.file` (string)

  - `sharedStep.lineBlame.line` (integer)

  - `sharedStep.name` (string)

  - `sharedStep.snippet` (string)

  - `sharedStep.startLine` (integer)

  - `snapshotId` (string)
    Uniquely identifies the finding within a scan, it's equivalent to the pair of id and scanId

  - `suppressed` (boolean)

  - `suppressedBy` (string)

  - `suppressionMessage` (string)
    Always empty if suppressed is not set

  - `suppressionTime` (string)

  - `type` (object)

  - `type.commonId` (string)

  - `type.engineId` (integer)

  - `type.id` (integer)

  - `type.language` (string)

  - `type.name` (string)

  - `type.sarif` (string)

  - `type.sarifLevel` (string)

  - `workflowViolations` (array)

  - `workflowViolations.name` (string)

  - `workflowViolations.uuid` (string)

  - `workflowViolationsCount` (integer)

## Response 400 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)

## Response 403 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)

## Response 404 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)

## Response 500 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)


